<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrAdministrativePenaltyMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrAdministrativePenalty">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="entityName" column="ENTITY_NAME" jdbcType="VARCHAR"/>
            <result property="cfXdrGszc" column="CF_XDR_GSZC" jdbcType="VARCHAR"/>
            <result property="cfJdwsmc" column="CF_JDWSMC" jdbcType="VARCHAR"/>
            <result property="cfSy" column="CF_SY" jdbcType="VARCHAR"/>
            <result property="entitycode" column="entityCode" jdbcType="VARCHAR"/>
            <result property="cfSjly" column="CF_SJLY" jdbcType="VARCHAR"/>
            <result property="islate" column="ISLATE" jdbcType="VARCHAR"/>
            <result property="depid" column="depId" jdbcType="VARCHAR"/>
            <result property="cfXdrZzjg" column="CF_XDR_ZZJG" jdbcType="VARCHAR"/>
            <result property="createtime" column="createTime" jdbcType="TIMESTAMP"/>
            <result property="reportstate" column="reportState" jdbcType="VARCHAR"/>
            <result property="inventorysourceid" column="inventorySourceId" jdbcType="VARCHAR"/>
            <result property="inventoryid" column="inventoryId" jdbcType="VARCHAR"/>
            <result property="cfFrZjhm" column="CF_FR_ZJHM" jdbcType="VARCHAR"/>
            <result property="datacode" column="dataCode" jdbcType="VARCHAR"/>
            <result property="cfXdrShxym" column="CF_XDR_SHXYM" jdbcType="VARCHAR"/>
            <result property="cfXdrLb" column="CF_XDR_LB" jdbcType="VARCHAR"/>
            <result property="repairstate" column="repairState" jdbcType="VARCHAR"/>
            <result property="cfNrZkdx" column="CF_NR_ZKDX" jdbcType="VARCHAR"/>
            <result property="cfCfjg" column="CF_CFJG" jdbcType="VARCHAR"/>
            <result property="entitycodeadd" column="entityCodeAdd" jdbcType="VARCHAR"/>
            <result property="cfNrFk" column="CF_NR_FK" jdbcType="DOUBLE"/>
            <result property="cfFrdb" column="CF_FRDB" jdbcType="VARCHAR"/>
            <result property="orgid" column="orgId" jdbcType="VARCHAR"/>
            <result property="cfFrZjlx" column="CF_FR_ZJLX" jdbcType="VARCHAR"/>
            <result property="cfGsjzq" column="CF_GSJZQ" jdbcType="TIMESTAMP"/>
            <result property="createuser" column="createUser" jdbcType="VARCHAR"/>
            <result property="cfYj" column="CF_YJ" jdbcType="VARCHAR"/>
            <result property="cfXdrSydw" column="CF_XDR_SYDW" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="VARCHAR"/>
            <result property="cfJdrq" column="CF_JDRQ" jdbcType="TIMESTAMP"/>
            <result property="cfWsh" column="CF_WSH" jdbcType="VARCHAR"/>
            <result property="cfXdrSwdj" column="CF_XDR_SWDJ" jdbcType="VARCHAR"/>
            <result property="cfSjlydm" column="CF_SJLYDM" jdbcType="VARCHAR"/>
            <result property="updatetime" column="updateTime" jdbcType="TIMESTAMP"/>
            <result property="updateuser" column="updateUser" jdbcType="VARCHAR"/>
            <result property="unid" column="UNID" jdbcType="VARCHAR"/>
            <result property="fbzt" column="FBZT" jdbcType="VARCHAR"/>
            <result property="bz" column="BZ" jdbcType="VARCHAR"/>
            <result property="isdel" column="isDel" jdbcType="VARCHAR"/>
            <result property="cfXdrShzz" column="CF_XDR_SHZZ" jdbcType="VARCHAR"/>
            <result property="cfFddbrzjlxOther" column="CF_FDDBRZJLX_OTHER" jdbcType="VARCHAR"/>
            <result property="batchno" column="batchNo" jdbcType="BIGINT"/>
            <result property="metaid" column="metaId" jdbcType="VARCHAR"/>
            <result property="cfLbOther" column="CF_LB_OTHER" jdbcType="VARCHAR"/>
            <result property="cfXdrZjlx" column="CF_XDR_ZJLX" jdbcType="VARCHAR"/>
            <result property="cfYxq" column="CF_YXQ" jdbcType="TIMESTAMP"/>
            <result property="cfNr" column="CF_NR" jdbcType="VARCHAR"/>
            <result property="cfWfxw" column="CF_WFXW" jdbcType="VARCHAR"/>
            <result property="entitytype" column="entityType" jdbcType="VARCHAR"/>
            <result property="cfCfjgdm" column="CF_CFJGDM" jdbcType="VARCHAR"/>
            <result property="cfZjlxOther" column="CF_ZJLX_OTHER" jdbcType="VARCHAR"/>
            <result property="cfCflb" column="CF_CFLB" jdbcType="VARCHAR"/>
            <result property="cfNrWfff" column="CF_NR_WFFF" jdbcType="VARCHAR"/>
            <result property="cfXdrZjhm" column="CF_XDR_ZJHM" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,ENTITY_NAME,CF_XDR_GSZC,
        CF_JDWSMC,CF_SY,entityCode,
        CF_SJLY,ISLATE,depId,
        CF_XDR_ZZJG,createTime,reportState,
        inventorySourceId,inventoryId,CF_FR_ZJHM,
        dataCode,CF_XDR_SHXYM,CF_XDR_LB,
        repairState,CF_NR_ZKDX,CF_CFJG,
        entityCodeAdd,CF_NR_FK,CF_FRDB,
        orgId,CF_FR_ZJLX,CF_GSJZQ,
        createUser,CF_YJ,CF_XDR_SYDW,
        status,CF_JDRQ,CF_WSH,
        CF_XDR_SWDJ,CF_SJLYDM,updateTime,
        updateUser,UNID,FBZT,
        BZ,isDel,CF_XDR_SHZZ,
        CF_FDDBRZJLX_OTHER,batchNo,metaId,
        CF_LB_OTHER,CF_XDR_ZJLX,CF_YXQ,
        CF_NR,CF_WFXW,entityType,
        CF_CFJGDM,CF_ZJLX_OTHER,CF_CFLB,
        CF_NR_WFFF,CF_XDR_ZJHM
    </sql>
</mapper>
